Skip to main content
`Ctrl`+`K`

# PetscAcoshComplex

Returns the complex inverse hyperbolic cosine of a `PetscComplex` value

## Synopsis

    #include <petscmath.h>
    PetscComplex PetscAcoshComplex(PetscComplex a)

Not Collective; No Fortran Support

## Input Parameter

. a - the value

## See Also

`PetscReal`, `PetscScalar`, `PetscComplex`, `PetscAcoshReal()`, `PetscAcoshScalar()`

## Level

beginner

## Location

include/petscmath.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages